class buffs ///***Class that holds send and receive buffer for a particular thread***///

{

public:

  buffs(int new_recv, int new_send);

  ~buffs();

  char *recvarr;

  char *sendarr;

};



buffs::buffs(int new_recv, int new_send){ /*Constructor*/

  recvarr = new char[new_recv]();

  sendarr = new char[new_send]();

}



buffs::~buffs(){ /*Destructor*/

  delete[] recvarr;

  delete[] sendarr;

}

